Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200612-09 ] MadWifi: Kernel driver buffer overflow
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1471

PostPosted: Sun Dec 10, 2006 10:26 pm    Post subject: [ GLSA 200612-09 ] MadWifi: Kernel driver buffer overflow Reply with quote

Gentoo Linux Security Advisory

Title: MadWifi: Kernel driver buffer overflow (GLSA 200612-09)
Severity: high
Exploitable: remote
Date: December 10, 2006
Bug(s): #157449
ID: 200612-09

Synopsis

MadWifi is vulnerable to a buffer overflow that could potentially lead to the remote execution of arbitrary code with root privileges.

Background

MadWifi (Multiband Atheros Driver for Wireless Fidelity) provides a Linux kernel device driver for Atheros-based Wireless LAN devices.

Affected Packages

Package: net-wireless/madwifi-ng
Vulnerable: < 0.9.2.1
Unaffected: >= 0.9.2.1
Architectures: All supported architectures


Description

Laurent Butti, Jerome Raznieski and Julien Tinnes reported a buffer overflow in the encode_ie() and the giwscan_cb() functions from ieee80211_wireless.c.

Impact

A remote attacker could send specially crafted wireless WPA packets containing malicious RSN Information Headers (IE) that could potentially lead to the remote execution of arbitrary code as the root user.

Workaround

There is no known workaround at this time.

Resolution

All MadWifi users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=net-wireless/madwifi-ng-0.9.2.1"


References

CVE-2006-6332
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum